Home | News | Download | Packages | Forum | Wiki | Github

Can't install Opera Browser


#1

I just installed Void-Mate Musl x86-64.
Seems that musl refuses to let me install opera or vivaldi.

What might I be missing.

[rockyiv@VoidHPlaptop void-packages]$ ./xbps-src pkg opera
[] Updating https://repo.voidlinux.eu/current/musl/x86_64-musl-repodata' ... [*] Updatinghttps://repo.voidlinux.eu/current/musl/nonfree/x86_64-musl-repodata’ …
[
] Updating https://repo.voidlinux.eu/current/x86_64-musl-repodata' ... ERROR: [reposync] failed to fetch filehttps://repo.voidlinux.eu/current/x86_64-musl-repodata’: Not Found
[] Updating https://repo.voidlinux.eu/current/nonfree/x86_64-musl-repodata' ... ERROR: [reposync] failed to fetch filehttps://repo.voidlinux.eu/current/nonfree/x86_64-musl-repodata’: Not Found
[
] Updating https://repo.voidlinux.eu/current/aarch64/x86_64-musl-repodata' ... ERROR: [reposync] failed to fetch filehttps://repo.voidlinux.eu/current/aarch64/x86_64-musl-repodata’: Not Found
=> opera-47.0.2631.39_1: removing autodeps, please wait…
=> ERROR: opera: this package cannot be built for x86_64-musl.


#2

Propritary and closed source software is linked against glibc, which makes it not suitable for installing on a system that uses musl libc.